Package org.apache.lucene.queries.spans

# Class SpanMultiTermQueryWrapper.SpanRewriteMethod

java.lang.Object
org.apache.lucene.search.MultiTermQuery.RewriteMethod
org.apache.lucene.queries.spans.SpanMultiTermQueryWrapper.SpanRewriteMethod

Direct Known Subclasses:
  `SpanMultiTermQueryWrapper.TopTermsSpanBooleanQueryRewrite`

Enclosing class:
  `SpanMultiTermQueryWrapper<Q extends MultiTermQuery>`

public abstract static class SpanMultiTermQueryWrapper.SpanRewriteMethod extends MultiTermQuery.RewriteMethod
Abstract class that defines how the query is rewritten.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanRewriteMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SpanQuery`
  `rewrite(IndexSearcher indexSearcher, MultiTermQuery query)`

  ### Methods inherited from class org.apache.lucene.search.MultiTermQuery.RewriteMethod

  `getTermsEnum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpanRewriteMethod

    public SpanRewriteMethod()

- ## Method Details

  - ### rewrite

    public abstract SpanQuery rewrite(IndexSearcher indexSearcher, MultiTermQuery query) throws IOException
    Specified by:
      `rewrite` in class `MultiTermQuery.RewriteMethod`
    Throws:
      `IOException`